package interpreter;

public class InteractiveLispInterpreter extends LispInterpreter {

    private static final String GREETING = "SUNY Potsdam Lisp Interpreter - Version 1.0.0";
    private static final String PROMPT = "~ ";

    @Override
    protected void printGreeting() {
        output.println(GREETING);
        output.println();
    }

    @Override
    protected void displayPrompt() {
        output.print(PROMPT);
    }

    @Override
    protected void erasePrompt() {
        for (int i = 0; i < PROMPT.length(); i++) {
            output.print("\b");
        }
    }

    @Override
    protected void printFarewell() {
        output.println();
        output.println();
    }

}
